Debian Bug report logs - #593614
Request: upgrade PLT Scheme to Racket

version graph

Package: plt-scheme; Maintainer for plt-scheme is Ari Pollak <ari@debian.org>; Source for plt-scheme is src:racket.

Reported by: Richard Lawrence <wyley.r@gmail.com>

Date: Thu, 19 Aug 2010 16:51:02 UTC

Severity: wishlist

Merged with 592688

Found in version plt-scheme/4.0.1-2

Fixed in version racket/5.0.2-1

Done: James Vega <jamessan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#593614; Package plt-scheme. (Thu, 19 Aug 2010 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Lawrence <wyley.r@gmail.com>:
New Bug report received and forwarded. Copy sent to Ari Pollak <ari@debian.org>. (Thu, 19 Aug 2010 16:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Richard Lawrence <wyley.r@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Request: upgrade PLT Scheme to Racket
Date: Thu, 19 Aug 2010 09:33:31 -0700
Package: plt-scheme
Version: 4.0.1-2
Severity: wishlist

PLT Scheme underwent a name change at version 5.0.  The language is now 
called Racket (since it has diverged somewhat from Scheme); the new site 
for the project is:

http://www.racket-lang.org

It would be nice if Racket were packaged for Debian.  Even the Sid 
version of PLT Scheme (4.2.4) feels out of date.  

To my untutored eye, it looks like the organization of the source tree 
has remained pretty consistent in the transition from PLT Scheme to 
Racket, so I'm hoping that updating the package will require a 
relatively small effort.

A new Racket package would probably need to Replace/Conflict the current 
plt-scheme package, as there would be name collisions (e.g., 
/usr/bin/drscheme) otherwise.  

Thanks!

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages plt-scheme depends on:
ii  libc6                  2.7-18lenny4      GNU C Library: Shared libraries
ii  libcairo2              1.6.4-7           The Cairo 2D vector graphics libra
ii  libfontconfig1         2.6.0-3           generic font configuration library
ii  libfreetype6           2.3.7-2+lenny2    FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.2-1.1       GCC support library
ii  libgl1-mesa-glx [libgl 7.0.3-7           A free implementation of the OpenG
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libpixman-1-0          0.10.0-2          pixel-manipulation library for X a
ii  libpng12-0             1.2.27-2+lenny4   PNG library - runtime
ii  libsm6                 2:1.0.3-2         X11 Session Management library
ii  libstdc++6             4.3.2-1.1         The GNU Standard C++ Library v3
ii  libx11-6               2:1.1.5-2         X11 client-side library
ii  libxaw7                2:1.0.4-2         X11 Athena Widget library
ii  libxcb-render-util0    0.2.1+git1-1      utility libraries for X C Binding 
ii  libxcb-render0         1.1-1.2           X C Binding, render extension
ii  libxcb1                1.1-1.2           X C Binding
ii  libxext6               2:1.0.4-2         X11 miscellaneous extension librar
ii  libxft2                2.1.12-3          FreeType-based font drawing librar
ii  libxmu6                2:1.0.4-1         X11 miscellaneous utility library
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages plt-scheme recommends:
ii  plt-scheme-doc                4.0.1-2    PLT Scheme Documentation

plt-scheme suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#593614; Package plt-scheme. (Thu, 19 Aug 2010 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Vega <jamessan@debian.org>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Thu, 19 Aug 2010 18:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 593614@bugs.debian.org (full text, mbox):

From: James Vega <jamessan@debian.org>
To: Richard Lawrence <wyley.r@gmail.com>, 593614@bugs.debian.org
Subject: Re: Bug#593614: Request: upgrade PLT Scheme to Racket
Date: Thu, 19 Aug 2010 14:30:36 -0400
[Message part 1 (text/plain, inline)]
On Thu, Aug 19, 2010 at 09:33:31AM -0700, Richard Lawrence wrote:
> PLT Scheme underwent a name change at version 5.0.  The language is now 
> called Racket (since it has diverged somewhat from Scheme); the new site 
> for the project is:
> 
> http://www.racket-lang.org
> 
> It would be nice if Racket were packaged for Debian.  Even the Sid 
> version of PLT Scheme (4.2.4) feels out of date.  

We have work underway to do that.
http://git.debian.org/?p=collab-maint/racket.git

-- 
James
GPG Key: 1024D/61326D40 2003-09-02 James Vega <jamessan@debian.org>
[signature.asc (application/pgp-signature, inline)]

Merged 592688 593614. Request was from Andrea Bolognani <eof@kiyuko.org> to control@bugs.debian.org. (Sun, 03 Oct 2010 09:15:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 20 Nov 2010 07:06:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 May 2011 07:33:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:37:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.